<?php
function get_field_type_list()
{
	$ret = Array();
	$ret[] = Array( 'type' => 'text' , 'desc' => '文本框'  );
	$ret[] = Array( 'type' => 'textarea' , 'desc' => '多行文本区'  );
	$ret[] = Array( 'type' => 'email' , 'desc' => '电子邮件地址'  );
	$ret[] = Array( 'type' => 'file' , 'desc' => '文件上传框'  );
	$ret[] = Array( 'type' => 'pic' , 'desc' => '图片上传'  );
	$ret[] = Array( 'type' => 'fckeditor' , 'desc' => '可视化文本编辑框'  );
	return $ret;
}

function get_active_list()
{
	$ret = Array();
	$ret[] = Array( 'value' => 1 , 'desc' => '是'  );
	$ret[] = Array( 'value' => 0 , 'desc' => '否'  );
	return $ret;
}

function get_unique_list()
{
	$ret = Array();
	$ret[] = Array( 'value' => 1 , 'desc' => '是'  );
	$ret[] = Array( 'value' => 0 , 'desc' => '否'  );
	return $ret;
}

function get_not_null_list()
{
	$ret = Array();
	$ret[] = Array( 'value' => 1 , 'desc' => '是'  );
	$ret[] = Array( 'value' => 0 , 'desc' => '否'  );
	return $ret;
}

function get_in_search_list()
{
	$ret = Array();
	$ret[] = Array( 'value' => 1 , 'desc' => '是'  );
	$ret[] = Array( 'value' => 0 , 'desc' => '否'  );
	return $ret;
}

function get_cannot_modify_list()
{
	$ret = Array();
	$ret[] = Array( 'value' => 0 , 'desc' => '否'  );
	$ret[] = Array( 'value' => 1 , 'desc' => '是'  );
	return $ret;
}

function get_can_share_list()
{
	$ret = Array();
	$ret[] = Array( 'value' => 1 , 'desc' => '是'  );
	$ret[] = Array( 'value' => 0 , 'desc' => '否'  );
	return $ret;
}

?>